
freeslot(
		 "MT_GOALEMBLEM","MT_EMGSIDE","MT_EMGTOP","MT_EMGRIB",
         "SPR_GISI","SPR_GITO","SPR_GIRI",
         "S_GEMB","S_GISI","S_GITO","S_GIBO","S_GIRI",
         "sfx_eget","sfx_eall"
         )

//Goal emblem
mobjinfo[MT_GOALEMBLEM] = {
        doomednum = -1,
		spawnhealth = 1000,
        spawnstate = S_GEMB,
        radius = 8*FRACUNIT,
        height = 16*FRACUNIT,
		mass = 4,
        flags = MF_NOCLIPTHING
}

//Side mobj for gifts
mobjinfo[MT_EMGSIDE] = {
        doomednum = -1,
        spawnstate = S_GISI,
        radius = 8*FRACUNIT,
        height = 16*FRACUNIT,
		mass = 4,
        flags = MF_NOGRAVITY|MF_NOCLIPHEIGHT
}

//Top mobj for gifts
mobjinfo[MT_EMGTOP] = {
        doomednum = -1,
        spawnstate = S_GITO,
        radius = 8*FRACUNIT,
        height = 16*FRACUNIT,
		mass = 4,
        flags = MF_NOGRAVITY|MF_NOCLIPHEIGHT
}

//Ribbon mobj for gifts
mobjinfo[MT_EMGRIB] = {
        doomednum = -1,
        spawnstate = S_GIRI,
        radius = 8*FRACUNIT,
        height = 16*FRACUNIT,
		mass = 4,
        flags = MF_NOGRAVITY|MF_NOCLIPHEIGHT
}

//Emblem state
states[S_GEMB] = {
        sprite = SPR_EMBM,
        frame = P|FF_PAPERSPRITE,
        nextstate = S_NULL
}

//Side gift state
states[S_GISI] = {
        sprite = SPR_GISI,
        frame = A|FF_PAPERSPRITE,
        nextstate = S_NULL
}

//Top gift state
states[S_GITO] = {
        sprite = SPR_GITO,
        frame = A|FF_FLOORSPRITE,
        nextstate = S_NULL
}

//Bottom gift state
states[S_GIBO] = {
        sprite = SPR_GISI,
        frame = A|FF_FLOORSPRITE,
        nextstate = S_NULL
}

//Side gift state
states[S_GIRI] = {
        sprite = SPR_GIRI,
        frame = A|FF_PAPERSPRITE,
        nextstate = S_NULL
}

sfxinfo[sfx_eget] = {
	caption = "Emblem get!",
	flags = SF_X2AWAYSOUND|SF_X4AWAYSOUND|SF_X8AWAYSOUND
}

sfxinfo[sfx_eall] = {
	caption = "All emblems get!",
	flags = SF_X2AWAYSOUND|SF_X4AWAYSOUND|SF_X8AWAYSOUND
}

sfxinfo[sfx_kc56] = {
	caption = "Menu click"
}

//Game mode definitions
G_AddGametype({
    name = "Emblem Hunt",
    identifier = "embhunt",
    typeoflevel = TOL_COMPETITION,
    rules = GTR_CAMPAIGN|GTR_FRIENDLY|GTR_SPAWNENEMIES|GTR_SPAWNINVUL,
    rankingtype = GT_COOP,
	intermissiontype = int_coop,
    headercolor = 163,
    description = 'Find all emblems in a level to advance! Warp between checkpoints to scour the levels top to bottom!'
})
